server.port=8091

logging.path=/opt/logs
logging.file=unimall.log
logging.level.root=info
#运行环境 1.开发环境 2.测试环境 3.生产环境 一定要记得改环境
com.iotechn.unimall.env=3
########################################################
###MySql (MySqlConfiguration)
########################################################
spring.druid.driverClassName=com.mysql.jdbc.Driver
##正式库
spring.druid.url=jdbc:mysql://162.62.62.59:3306/unimall_tmp?createDatabaseIfNotExist=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&allowMultiQueries=true&useSSL=false
###本地库
#spring.druid.url=jdbc:mysql://localhost:3306/unimall?createDatabaseIfNotExist=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&allowMultiQueries=true
spring.druid.username=root
spring.druid.password=qwe123.

#spring.druid.password=
spring.druid.maxActive=30
spring.druid.minIdle=5
spring.druid.maxWait=10000
spring.druid.validationQuery="SELECT X"

spring.servlet.multipart.max-file-size= 10MB
spring.servlet.multipart.max-request-size=10MB


########################################################
###Redis 缓存、session、lock使用不同数据源
########################################################
spring.redis.database=0
#spring.redis.host=192.168.8.229
spring.redis.host=127.0.0.1
spring.redis.port=6379
#spring.redis.password=1234

spring.user-redis.database=1
#spring.user-redis.host=192.168.8.229
spring.user-redis.host=127.0.0.1
spring.user-redis.port=6379
#spring.user-redis.password=1234

spring.lock-redis.database=2
#spring.lock-redis.host=192.168.8.229
spring.lock-redis.host=127.0.0.1
spring.lock-redis.port=6379
#spring.lock-redis.password=12345

########################################################
###Freemarkder 模版引擎 用户生成Api文档
########################################################
spring.freemarker.request-context-attribute=req
spring.freemarker.suffix=.html
spring.freemarker.content-type=text/html
spring.freemarker.enabled=true
spring.freemarker.cache=false
spring.freemarker.template-loader-path=classpath:/templates/
spring.freemarker.charset=utf-8
spring.freemarker.settings.number_format=0.##


########################################################
### 短信SDK配置 enable 支持 aliyun、qcloud、mock(请在控制台查看验证码)
########################################################
sms.enable=aliyun
### 腾讯云短信配置 ###
sms.qcloud.sign=iotechn
sms.qcloud.app-id=1400186792
sms.qcloud.app-key=31664f74451303e098ca689433477e53
sms.qcloud.register-template-id=364423
sms.qcloud.bind-phone-template-id=364423
sms.qcloud.reset-password-template-id=364423
sms.qcloud.admin-login-template-id=381839
### 阿里云短信配置 ###
sms.aliyun.accessId=LTAI4G9c14PgKvM23WZ9zrpc
sms.aliyun.accessKey=FpClTp4OVrRRtHEfi3lBOWUoLxKieW
sms.aliyun.signature=易粮易运
sms.aliyun.register-template-id=SMS_202415307
sms.aliyun.bind-phone-template-id=SMS_202415307
sms.aliyun.reset-password-template-id=SMS_202415307
sms.aliyun.admin-login-template-id=SMS_202415307

########################################################
###OSS 文件上传配置
########################################################
oss.aliyun.oss.accessId=LTAI4G9c14PgKvM23WZ9zrpc
oss.aliyun.oss.accessKey=FpClTp4OVrRRtHEfi3lBOWUoLxKieW
oss.aliyun.oss.endpoint=oss-cn-beijing.aliyuncs.com
oss.aliyun.oss.bucket=taohaoliang
oss.aliyun.oss.callbackUrl=
oss.aliyun.oss.dir=admin/
oss.aliyun.oss.basekUrl=https://taohaoliang.oss-cn-beijing.aliyuncs.com/


########################################################
### 微信 小程序、APP、H5信息
########################################################
com.iotechn.unimall.wx.mini.app-id=wx4505a6ea6f703e17
com.iotechn.unimall.wx.mini.app-secret=610838e6d27468602fbdeb1394520679

com.iotechn.unimall.wx.app.app-id=wx4505a6ea6f703e17
com.iotechn.unimall.wx.app.app-secret=0b8c0ebdf9cc3789eafccc64e2695bc1

com.iotechn.unimall.wx.h5.app-id=wx4505a6ea6f703e17
com.iotechn.unimall.wx.h5.app-secret=0b8c0ebdf9cc3789eafccc64e2695bc1

com.iotechn.unimall.wx.gongzhonghao.app-id=wxce2e964b11803018
com.iotechn.unimall.wx.gongzhonghao.app-secret=122059c777309ff3efc7448ec8794fd5

########################################################
### 微信商户信息
########################################################
com.iotechn.unimall.wx.mch-id=1538757851
#自己设置的32位码
com.iotechn.unimall.wx.mch-key=aIt5Vw3cJCXMZS4L5h14kIyDsoXBzo5I
com.iotechn.unimall.wx.notify-url=http://unimall.free.idcfengye.com/cb/wxpay
com.iotechn.unimall.wx.key-path=/Users/rize/cert/1538757851_20190609_cert/apiclient_cert.p12


########################################################
### 快递查询配置
########################################################
com.iotechn.ship.query.kdn.app-key=1552340
com.iotechn.ship.query.kdn.business-id=db73dd78-990f-4fc8-ae18-83d0dacf7556

########################################################
### 管理员推送配置 enable 支持 mock、uninotify
########################################################
com.iotechn.admin.notify.enable=mock
com.iotechn.admin.notify.uninotify.app-id=gc8233222222L1uw7qSifH
com.iotechn.admin.notify.uninotify.app-secret=LjWGP33333333333333333J6XbI
com.iotechn.admin.notify.uninotify.url=http://public.dobbinsoft.com/m.api

########################################################
### 运行环境配置
########################################################
#机器编号
com.iotechn.unimall.machine-no=01
